<?php
require "racs.php";
require "vtshowsBBB.php";
session_start();

if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}
?>
<html>
<title>Prasanna Mallawa</title>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<style>
  .modal-header, h6, .close {
      background-color: #5cb85c;
      color:white !important;
      text-align: center;
      font-size: 30px;
  }
  .modal-footer {
      background-color: #f9f9f9;
  }
</style>

<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>

<link rel="stylesheet" type="text/css" href="vtxstyles.css">
<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}
}

$(document).ready(function(){
    $("#myBtn").click(function(){
        $("#myModal").modal();
    });
});

</script>
</head>

<body style='font-family:calibri;font-size:small;'>

<div style='width=30%;height:100%%;'>

<?php


$flt=racs(1);

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{

$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");


if(isset($_REQUEST['starts'])){
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}


#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}


stps(1);
printf("<div class='sds'>");
stkssdash(1);
printf("</div>");


printf("<div class='mnf'>");

printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>Agent - Loss Of Sales summary</div>");


$tv=0;
$tz=0;
$arr=array();

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges;

printf("<div style='width:90%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");

printf("<form method='post' action='aglost.php?actp=rpt%s'><table style='width:100%%;font-size:13;'>",$sprt);
$sqlst="select distinct rgs from (select distinct zone_orders as rds,regions as rgs from rc_orders union select distinct zone_orders,regions from rc_delivers order by rds) as zns";
$qry=mysqli_query($conn,$sqlst);

printf("<tr><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td>
<td width=20%%><select name='regions' style='width:95%%;font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'><option>%s</option><option>All</option>",$starts,$ends,$regions);
while($rst=mysqli_fetch_row($qry)){
printf("<option>%s</option>",$rst[0]);}	
printf("</select></td><td><input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></td></form>",$starts,$ends);

printf("<td width=38%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");

printf("<table id='dt'  class='vh' style='width:100%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'>
<td style='border:1px solid white;text-align:center;'>Agent</td>
<td style='border:1px solid white;text-align:center;'>Territory</td>
<td style='border:1px solid white;text-align:center;'>Region</td>
<td style='border:1px solid white;text-align:center;'>Agent type</td>
<td style='border:1px solid white;text-align:center;'>Invoice Type</td>
<td style='border:1px solid white;text-align:center;'>Order Value</td>
<td style='border:1px solid white;text-align:center;'>Invoice Value</td>
<td style='border:1px solid white;text-align:center;'>Loss Value</td>
<td style='border:1px solid white;text-align:center;'>Open</td>
</tr>");

$sqlst="select agents,mterrys,invvlu,ordvlu,tpye,regions,agtype from (select distinct agent_names as agents,territory_names as mterrys from rc_invoices ".$flt." and invoice_types<>'Sales returns' and dates>='".$starts."' and dates<='".$ends."' and agent_names<>'Cash Sales' union select agent_names,territory_names from rc_orders ".$flt." and invoice_types<>'Sales returns'and dates>='".$starts."' and dates<='".$ends."' and agent_names<>'Cash Sales') as ags

left join (select agent_names,territory_names,sum(box_qty*box_price) as invvlu,invoice_types as tpye from rc_invoices ".$flt." and dates>='".$starts."' and dates<='".$ends."' and agent_names<>'Cash Sales' group by agent_names) as tgs on tgs.agent_names=agents 

left join (select agent_names,territory_names,sum(box_qty*box_price) as ordvlu,regions as regions,agent_types as agtype from rc_orders ".$flt." and dates>='".$starts."' and dates<='".$ends."' and agent_names<>'Cash Sales' group by agent_names) as acs on acs.agent_names=agents order by tpye";

$tgv=0;
$acv=0;

 
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$tgv=$tgv+$rst[3];
$acv=$acv+$rst[2];


printf("<tr style='border-bottom:1px solid silver;'><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td>%s</td>
<td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='center'><a href='aglostitem.php?starts=%s&ends=%s&agents=%s' target='_blank'>items</a></td>
</tr>",$rst[0],$rst[1],$rst[5],$rst[6],$rst[4],number_format($rst[3],2,'.',','),number_format($rst[2],2,'.',','),number_format($rst[3]-$rst[2],2,'.',','),$starts,$ends,$rst[0],$rst[4]);
}

printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'><td>Total</td><td></td><td></td><td></td><td></td>
<td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='center'><a href='aglostitem.php?starts=%s&ends=%s' target='_blank'>items</a></td></tr></table>",number_format($tgv,0,'.',','),number_format($acv,0,'.',','),number_format($acv-$tgv,0,'.',','),$starts,$ends);

printf("</div>");

}

?>
</div>

</body>
</html>